﻿using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using XamGrid.ViewModels;

namespace XamGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent(); 

            var nameColumn = new TextColumn
            {
                Key = "FirstName",
                HeaderText = "FirstName",
            };
            var titleColumn = new TextColumn
            {
                Key = "Title",
                HeaderText = "Title",
            };

            grdCurrentUser.Columns.Add(nameColumn);
            grdCurrentUser.Columns.Add(titleColumn);
            grdCurrentUser.FilteringSettings.FilteringScope = FilteringScope.ColumnLayout;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            grdCurrentUser.Columns.DataColumns["FirstName"].FilterColumnSettings.FilterCellValue = "John";
        }

    }

  

}
